Main Page Packages Class Hierarchy Compound List File List Compound Members

# noderemovechildnomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| noderemovechildnomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeChild(oldChild)" method causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Create an entity reference and execute the "removeChild(oldChild)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1734834066 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-1734834066')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1734834066 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/noderemovechildnomodificationallowederr.xml

Definition at line 47 of file noderemovechildnomodificationallowederrEE.java.

## Constructor & Destructor Documentation

noderemovechildnomodificationallowederrEE::noderemovechildnomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file noderemovechildnomodificationallowederrEE.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String noderemovechildnomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 77 of file noderemovechildnomodificationallowederrEE.java.
    00077                                 {
    00078       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/noderemovechildnomodificationallowederrEE";
    00079    }

void noderemovechildnomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 80 of file noderemovechildnomodificationallowederrEE.java. References DOMTestCase::doMain().
    00080                                           {
    00081         DOMTestCase.doMain(noderemovechildnomodificationallowederrEE.class,args);
    00082    }

void noderemovechildnomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file noderemovechildnomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       Node entRef;
    00058       Node entText;
    00059       Node removedNode;
    00060       doc = load("staff");
    00061       entRef = doc.createEntityReference("ent3");
    00062       entText = entRef.getFirstChild();
    00063
    00064         {
    00065                 boolean success = false;
    00066                 try {
    00067                         removedNode = entRef.removeChild(entText);
    00068
    00069                 }
    00070                 catch(DOMException ex) {
    00071                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00072                 }
    00073                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00074         }
    00075
    00076    }

The documentation for this class was generated from the following file:

- noderemovechildnomodificationallowederrEE.java